Categories:
  - Internet
  - Phone & SMS
License: BSD-3-Clause
AuthorName: Juha Heinanen
SourceCode: https://github.com/juha-h/baresip-studio
IssueTracker: https://github.com/juha-h/baresip-studio/issues
Translation: https://hosted.weblate.org/projects/baresip/

AutoName: baresip+

RepoType: git
Repo: https://github.com/juha-h/baresip-studio.git

Builds:
  - versionName: 1.0.0
    versionCode: 1
    commit: v1.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v1.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21b

  - versionName: 1.1.0
    versionCode: 2
    commit: v1.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v2.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21b

  - versionName: 1.1.1
    versionCode: 3
    commit: v1.1.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v2.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21b

  - versionName: 1.2.0
    versionCode: 4
    commit: v1.2.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v3.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21b

  - versionName: 1.3.0
    versionCode: 5
    commit: v1.3.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v3.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 3.0.1
    versionCode: 8
    commit: v3.0.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v4.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 3.1.0
    versionCode: 10
    commit: v3.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v4.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 4.1.0
    versionCode: 12
    commit: v4.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v5.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 4.2.0
    versionCode: 13
    commit: v4.2.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v6.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 5.0.0
    versionCode: 14
    commit: v5.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v6.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 5.1.0
    versionCode: 15
    commit: v5.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v7.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 6.0.0
    versionCode: 16
    commit: v6.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v7.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 6.1.0
    versionCode: 17
    commit: v6.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v9.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 7.0.1
    versionCode: 19
    commit: v7.0.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v9.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 8.0.0
    versionCode: 20
    commit: v8.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v9.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 8.1.0
    versionCode: 21
    commit: v8.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v9.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 8.2.0
    versionCode: 22
    commit: v8.2.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v9.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 9.0.0
    versionCode: 23
    commit: v9.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v9.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 11.0.2
    versionCode: 28
    commit: v11.0.2
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v10.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 12.0.0
    versionCode: 29
    commit: v12.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v10.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 13.0.0
    versionCode: 30
    commit: v13.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 14.0.0
    versionCode: 31
    commit: v14.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 14.1.0
    versionCode: 32
    commit: v14.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 14.1.1
    versionCode: 33
    commit: v14.1.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 14.2.0
    versionCode: 34
    commit: v14.2.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21d

  - versionName: 15.0.0
    versionCode: 35
    commit: v15.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

  - versionName: 15.1.0
    versionCode: 36
    disable: fails to build "baresip_link" is translated here but not found in default
        locale
    commit: v15.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

  - versionName: 15.2.0
    versionCode: 37
    commit: v15.2.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v11.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

  - versionName: 16.0.0
    versionCode: 38
    commit: v16.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v12.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

  - versionName: 16.1.1
    versionCode: 40
    commit: v16.1.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v12.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

  - versionName: 17.0.0
    versionCode: 41
    commit: v17.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v13.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

  - versionName: 17.0.1
    versionCode: 42
    commit: v17.0.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v13.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

  - versionName: 17.1.0
    versionCode: 43
    commit: v17.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v13.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's!$(shell ls -d -1 /opt/Android/ndk/\* | tail -1)!$$NDK$$!' -e
        's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|' Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21e

MaintainerNotes: make download-sources checks out master branches of several libraries;
    this can cause build failures.

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v.*[0-9]$
CurrentVersion: 17.1.0
CurrentVersionCode: 43
